Package com.logicaldoc.core.folder

# Class FolderComparator

java.lang.Object
com.logicaldoc.core.folder.FolderComparator

All Implemented Interfaces:
  `Comparator<Folder>`

public abstract class FolderComparator extends Object implements Comparator<Folder>
Comparators to sort folders with different options

Since:
  8.9.3
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`static Comparator<Folder>`
`getComparator(String sort)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Method Details

### getComparator

public static Comparator<Folder> getComparator(String sort)